Retrieve Specific Content

You can retrieve an individual content item from your AskAI, you must include either a webpage, file_id (returned as content_id when first added to your AskAI). or client_id.

This is helpful to see the status of a piece of content added to ensure it was added successfully.

The status of a piece of content can be: processing, complete or failed.

Retrieve Content from AskAI

post
Body
idstringRequired

AskAI ID

api_keystringRequired

AskAI API Key

webpagestring Β· uri | nullableOptional

URL of the webpage to be retrieved

file_idstring | nullableOptional

Unique identifier for the file

client_idstring | nullableOptional

Unique identifier for the client

Responses
chevron-right
200

Successful operation

application/json
post
/ask-ai-content-retrieve
200

Successful operation

Last updated